Red Hat Enterprise Linux 3: System Administration Guide
Prev | Chapter 29. Authentication Configuration | Next

# 29.3. Command Line Version

The Authentication Configuration Tool can also be run as a command line tool with no interface. The command line version can be used in a configuration script or a kickstart script. The authentication options are summarized in Table 29-1.

Option | Description
--- | ---
`--enableshadow` | Enable shadow passwords
`--disableshadow` | Disable shadow passwords
`--enablemd5` | Enable MD5 passwords
`--disablemd5` | Disable MD5 passwords
`--enablenis` | Enable NIS
`--disablenis` | Disable NIS
`--nisdomain=`<domain>`` | Specify NIS domain
`--nisserver=`<server>`` | Specify NIS server
`--enableldap` | Enable LDAP for user information
`--disableldap` | Disable LDAP for user information
`--enableldaptls` | Enable use of TLS with LDAP
`--disableldaptls` | Disable use of TLS with LDAP
`--enableldapauth` | Enable LDAP for authentication
`--disableldapauth` | Disable LDAP for authentication
`--ldapserver=`<server>`` | Specify LDAP server
`--ldapbasedn=`<dn>`` | Specify LDAP base DN
`--enablekrb5` | Enable Kerberos
`--disablekrb5` | Disable Kerberos
`--krb5kdc=`<kdc>`` | Specify Kerberos KDC
`--krb5adminserver=`<server>`` | Specify Kerberos administration server
`--krb5realm=`<realm>`` | Specify Kerberos realm
`--enablesmbauth` | Enable SMB
`--disablesmbauth` | Disable SMB
`--smbworkgroup=`<workgroup>`` | Specify SMB workgroup
`--smbservers=`<server>`` | Specify SMB servers
`--enablehesiod` | Enable Hesiod
`--disablehesiod` | Disable Hesiod
`--hesiodlhs=`<lhs>`` | Specify Hesiod LHS
`--hesiodrhs=`<rhs>`` | Specify Hesiod RHS
`--enablecache` | Enable `nscd`
`--disablecache` | Disable `nscd`
`--nostart` | Do not start or stop the `portmap`, `ypbind`, or `nscd` services even if they are configured
`--kickstart` | Do not display the user interface
`--probe` | Probe and display network defaults

Table 29-1. Command Line Options

| Tip
| These options can also be found in the `authconfig` man page or by typing `authconfig --help` at a shell prompt.

Prev | Home | Next
Authentication | Up | System Configuration